Skip Headers

Oracle® Enterprise Manager Grid Control Installation and Basic Configuration
10g Release 1 (10.1)
Part No. B12012-03
  Go To Table Of Contents
Contents
Go To Index
Index

Previous Next  

A Patches and Packages

Oracle recommends that you check for required patches and packages for Oracle Application Server, Oracle Database, and Oracle Real Application Clusters Databases for your operating system platform and version.


Note:

For the most current list of supported operating system specific software, refer to OracleMetaLink:
http://metalink.oracle.com

Further documentation may be found at:

http://otn.oracle.com/documentation

This appendix contains the following sections:

Solaris Operating System Patches and Packages

The operating system must have all the required patches for the Management Agent, Management Service, and Management Repository. For the latest patch information, you must actively consult the operating system vendors' Web sites to ensure that the target host is at the right patch level.

While Oracle recommends that you deploy the latest available patch clusters, the only requirement is that the operating system be patched to this level or later. You may also run the installer to find out which patches failed pre-requisite checking and install only those patches.


Note:

Enterprise Manager 10g 32-bit software can run on 64-bit operating systems.

Refer to the Oracle Application Server Installation Guide for more detailed information on other software requirements for Application Server. The books are distributed on the Oracle Application Server Disk 1 CD-ROM.

Refer to the Oracle Database 10g Installation Guide for UNIX Systems for your existing database version for database requirements.

Further documentation may be found at:

http://otn.oracle.com/documentation

Solaris Operating System Patches

For the Solaris Operating System, Enterprise Manager requires JDK 1.4.2.

You can fulfill all the patch requirements for Solaris Operating System Release 8 and Release 9 by installing the J2SE patch cluster and the domain name patch (112138-01 or greater). The domain name patch is not required for either the silent or interactive Additional Management Agent installation.

Obtain the patch cluster at:

http://sunsolve.sun.com/pub-cgi/show.pl?target=patches/patch-access


Note:

The following patches within the J2SE patch cluster are not required when performing silent Management Agent installations on the Solaris Operating System:
  • 108652-76 X11 6.4.1: Xsun patch

  • 108921-18 CDE 1.4: dtwm patch

  • 108940-57 Motif 1.2.7 and 2.1.1: Runtime library patch for Solaris 8

  • 112003-03 SunOS 5.8: Unable to load fontset in 64-bit Solaris 8 iso-1 or iso-15

  • 108773-18 SunOS 5.8: IIIM and X Input & Output Method patch

These patches are required when interactively installing the Management Agent through the Oracle Universal Installer graphical user interface.


Solaris Operating System Packages

Check that your computer contains the following operating system packages. If the packages are not present, the installer cannot continue.

SUNWarc
SUNWbtool
SUNWhea
SUNWlibm
SUNWlibms
SUNWsprot
SUNWsprox
SUNWtoo
SUNWi1of
SUNWxwfnt
SUNWi1cs
SUNWi15cs

The last two packages (SUNWi1cs and SUNWi15cs) are required for the ISO8859-1 and ISO8859-15 codesets.


Note:

The packages SUNWi1cs and SUNWi15cs are not required when performing silent Management Agent installations on the Solaris Operating System.

These packages are required when interactively installing the Management Agent through the Oracle Universal Installer graphical user interface.


To check if an operating system package is installed on your computer, run the pkginfo command with the name of the package. The syntax for running pkginfo is:

pkginfo package_name1 package_name2 ...

For example, to check if all of the packages listed above are installed on your computer, run the following command:

pkginfo SUNWarc SUNWbtool SUNWhea SUNWlibm SUNWlibms SUNWsprot SUNWsprox
SUNWtoo SUNWi1of SUNWxwfnt SUNWi1cs SUNWi15cs

If your computer is missing a package, contact your system administrator.

Other Operating System Software Requirements

This section contains information on where to find software requirements for other operating system platforms.

HP-UX 11.11 and HP-UX Itanium 11.23

To install Oracle Enterprise Manager Grid Control on this platform, you must meet the software requirements of Oracle Database 10g Release 1 (10.1).

Refer to the Oracle Database Quick Installation Guide 10g Release 1 (10.1) for HP-UX for a full list of requirements. The book can be found on the Oracle Technology Network at:

http://otn.oracle.com/documentation/database10g.html

Red Hat Enterprise Linux AS/ES 2.1

To install Oracle Enterprise Manager Grid Control on this platform, you must meet the software requirements of Oracle Database 10g Release 1 (10.1).

Refer to the Oracle Database Quick Installation Guide 10g Release 1 (10.1) for Linux x86 for a full list of requirements. The book can be found on the Oracle Technology Network at:

http://otn.oracle.com/documentation/database10g.html

Red Hat Enterprise Linux AS/ES 3.0 and SuSE SLES8

To install Oracle Enterprise Manager Grid Control on these platforms, you must meet the software requirements of Oracle Database 10g Release 1 (10.1) and Oracle Application Server Release 10g (9.0.4.0.0).

Refer to the Oracle Database Quick Installation Guide 10g Release 1 (10.1) for Linux x86 for a full list of database requirements. The book can be found on the Oracle Technology Network at:

http://otn.oracle.com/documentation/database10g.html

Refer to the Oracle Application Server 10g Installation Guide for HP-UX PA-RISC (64-bit) and Linux x86 for a full list of application server requirements. The book can be found on the Oracle Technology Network at:

http://otn.oracle.com/documentation/appserver10g.html

HP Tru64 5.1b

To install Oracle Enterprise Manager Grid Control on this platform, you must meet the software requirements of Oracle Database 10g Release 1 (10.1).

Refer to the Oracle Database Quick Installation Guide 10g Release 1 (10.1) for HP Tru64 UNIX for a full list of requirements. The book can be found on the Oracle Technology Network at:

http://otn.oracle.com/documentation/database10g.html

IBM AIX 5.2 (64-bit)

To install Oracle Enterprise Manager Grid Control on this platform, you must meet the software requirements of Oracle Database 10g Release 1 (10.1).

Refer to the Oracle Database Quick Installation Guide 10g Release 1 (10.1) for AIX-Based Systems for a full list of requirements. The book can be found on the Oracle Technology Network at:

http://otn.oracle.com/documentation/database10g.html